xml_parse
xml_parser_create
XML Parser Functions
PHP Manual

# xml_parser_create_ns

Create an XML parser with namespace support

### Description

resource xml_parser_create_ns ([ string `$encoding` [, string `$separator` = ':' ]] )

xml_parser_create_ns creates a new XML parser with XML namespace support and returns a resource handle referencing it to be used by the other XML functions.

### Parameters

`encoding`

  The optional `encoding` specifies the character encoding for the input/output in PHP 4. Starting from PHP 5, the input encoding is automatically detected, so that the `encoding` parameter specifies only the output encoding. In PHP 4, the default output encoding is the same as the input charset. In PHP 5.0.0 and 5.0.1, the default output charset is ISO-8859-1, while in PHP 5.0.2 and upper is UTF-8. The supported encodings are ISO-8859-1, UTF-8 and US-ASCII.

`separator`

  With a namespace aware parser tag parameters passed to the various handler functions will consist of namespace and tag name separated by the string specified in `separator`.

### Return Values

Returns a resource handle for the new XML parser.

### See Also

- xml_parser_create
- xml_parser_free